import os
import sys

out = ""
txt = open("raw-cc.h", "r").read().strip().split("\n")
for t in txt:
	p = t.strip().rsplit(" ", 1)
	
	words = p[0].replace("/", "").split()
	s = ""
	for w in words:
		s = s + w[0].upper() + w[1:].lower()
	
	ln = "_(" + s + ", " + p[1] + ")"
	out = out + ln + "\n"
	print(ln)

open("axefx-cc.h", "w").write(out)